swZ {oce} | R Documentation

## Vertical coordinate

### Description

Compute height above the surface. This is the negative of depth, and so is defined simply in terms of `swDepth`.

### Usage

    swZ(pressure, latitude = 45, eos = getOption("oceEOS", default = "gsw"))

### Arguments

`pressure` | either pressure [dbar], in which case `lat` must also be given, or a `ctd` object, in which case `lat` will be inferred from the object.
`latitude` | Latitude in degN or radians north of the equator.
`eos` | indication of formulation to be used, either `"unesco"` or `"gsw"`.

### See Also

Other functions that calculate seawater properties: `T68fromT90`, `T90fromT48`, `T90fromT68`, `swAbsoluteSalinity`, `swAlphaOverBeta`, `swAlpha`, `swBeta`, `swCSTp`, `swConservativeTemperature`, `swDepth`, `swDynamicHeight`, `swLapseRate`, `swN2`, `swPressure`, `swRho`, `swRrho`, `swSCTp`, `swSTrho`, `swSigma0`, `swSigma1`, `swSigma2`, `swSigma3`, `swSigma4`, `swSigmaTheta`, `swSigmaT`, `swSigma`, `swSoundAbsorption`, `swSoundSpeed`, `swSpecificHeat`, `swSpice`, `swTFreeze`, `swTSrho`, `swThermalConductivity`, `swTheta`, `swViscosity`

[Package oce version 0.9-22 Index]